Package twisted :: Package web :: Module microdom :: Class EntityReference

[frames | no frames]

## Class EntityReference

    object --+
             |
          Node --+
                 |
                EntityReference

Method Summary
| `__init__(self, eref, parentNode)`
| `cloneNode(self, deep, parent)`
| `isEqualToEntityReference(self, n)`
| `writexml(self, stream, indent, addindent, newl, strip, nsprefixes, namespace)`
Inherited from Node
| ``__hash__`(self)`
| ``appendChild`(self, child)`
| ``firstChild`(self)`
| ``hasChildNodes`(self)`
| ``insertBefore`(self, new, ref)`
| ``isEqualToNode`(self, n)`
| ``lastChild`(self)`
| ``removeChild`(self, child)`
| ``replaceChild`(self, newChild, oldChild)`
| ``toprettyxml`(self, indent, addindent, newl, strip)`
| ``toxml`(self, indent, addindent, newl, strip, nsprefixes, namespace)`
| ``writeprettyxml`(self, stream, indent, addindent, newl, strip)`
Inherited from object
| `__delattr__(...)`
| `__getattribute__(...)`
| `__reduce__(...)`
| `__repr__(...)`
| `__setattr__(...)`
| `__str__(...)`
Inherited from type
| `__new__(...)`

Class Variable Summary
Inherited from Node
`str` | `nodeName` = `'Node'`

Generated by Epydoc 2.0 on Sat May 15 20:08:19 2004 | http://epydoc.sf.net